Package org.h2.fulltext

# Class IndexInfo

java.lang.Object
org.h2.fulltext.IndexInfo

public class IndexInfo extends Object
The settings of one full text search index.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String[]`
`columns`
The column names.
`protected int`
`id`
The index id.
`protected int[]`
`indexColumns`
The column indexes of the index columns.
`protected int[]`
`keys`
The column indexes of the key columns.
`protected String`
`schema`
The schema name.
`protected String`
`table`
The table name.

## Constructor Summary

Constructors
Constructor
Description
`IndexInfo()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### id

protected int id
The index id.

### schema

protected String schema
The schema name.

### table

protected String table
The table name.

### keys

protected int[] keys
The column indexes of the key columns.

### indexColumns

protected int[] indexColumns
The column indexes of the index columns.

### columns

protected String[] columns
The column names.

## Constructor Details

### IndexInfo

public IndexInfo()